LockNotHeldException (Apache Geode 1.10.0)
Date: 2019-09-19

org.apache.geode.distributed

## Class LockNotHeldException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.apache.geode.distributed.LockNotHeldException

- All Implemented Interfaces:
    Serializable

      public class LockNotHeldException
      extends IllegalStateException

  A `LockNotHeldException` is thrown when attempting unlock a lock that is not held by the thread performing the unlock.
  Since:
    GemFire 4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LockNotHeldException()` Constructs a new exception with `null` as its detail message.
    `LockNotHeldException(String message)` Constructs a new exception with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LockNotHeldException

          public LockNotHeldException()

      Constructs a new exception with `null` as its detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

    - #### LockNotHeldException

          public LockNotHeldException(String message)

      Constructs a new exception with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
      Parameters:
        `message` - the detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.